#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main() {
	int an, bn;
	cin >> an >> bn;
	string a = to_string(an);
	string b = to_string(bn);
	string c;
	int n = max(a.size(), b.size());
	for (int i = 0; i < n; i++) {
		if (a.size() > i && b.size() > i) {
			string ch = "";
			if (a[a.size() - i - 1] > b[b.size() - i - 1])
				ch = a[a.size() - i - 1];
			else if (a[a.size() - i - 1] < b[b.size() - i - 1])
				ch = b[b.size() - i - 1];
			else {
				ch = a[a.size() - i - 1];
				ch += a[a.size() - i - 1];
			}
			c += ch;
		}
		else if (a.size() <= i) {
			c += b[b.size() - i - 1];
		}
		else c += a[a.size() - i - 1];
	}
	reverse(c.begin(), c.end());
	cout << c;
}